Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 21 lines (11 sloc) 1.071 kb
557286b Robin Wenglewski fix plugin loading, include fnReloadAjax plugin, change Readme, bump ver...
authored
1 This is a gem for Rails >= 3.1 applications. It provides all the basic DataTables files, but not (yet) the extras.
2
3 # Install and Usage
4
5 First, put the gem in your Gemfile (`gem 'jquery-datatables-rails'`) and run `bundle install`
6
46cc9c8 Robin Wenglewski readme update
authored
7 After installing it you can require it in your _application.js_ file with `\\= require jquery.dataTables.min`.
8 Also, add the css to your application.html.erb:
9
10 <%= stylesheet_link_tag "/assets/dataTables/jquery.dataTables.css", :media => "all" %>
de3ae95 Robin Wenglewski fix image paths
authored
11
12 However, if you use the stylesheets include them separately and not compiled in the application.css.
13 This is because images in the stylesheets are referenced to without a path. So if you include the stylesheet `dataTables/demo_table_jui` it works, because the images are also under `dataTables`. But if you include the stylesheet in the application.css, it won't work.
557286b Robin Wenglewski fix plugin loading, include fnReloadAjax plugin, change Readme, bump ver...
authored
14
15 # Plugins
16
17 Right now, the only plugin that is available is fnReloadAjax. Check out the [assets directory][assets].
18
19 [assets]: https://github.com/rweng/jquery-datatables-rails/tree/master/vendor/assets/javascripts
20
Something went wrong with that request. Please try again.